# Asserts Module

**For additional reference, please review the [source](https://github.com/Codeception/Codeception/tree/2.0/src/Codeception/Module/Asserts.php)**


Special module for using asserts in your tests.

























### assertContains
 
Checks that haystack contains needle

 * `param`        $needle
 * `param`        $haystack
 * `param string` $message


### assertEmpty
 
Checks that variable is empty.

 * `param`        $actual
 * `param string` $message


### assertEquals
 
Checks that two variables are equal.

 * `param`        $expected
 * `param`        $actual
 * `param string` $message



### assertFalse
 
Checks that condition is negative.

 * `param`        $condition
 * `param string` $message


### assertGreaterThan
 
Checks that expected is greater than actual

 * `param`        $expected
 * `param`        $actual
 * `param string` $message


### assertGreaterThanOrEqual
 
Checks that expected is greater or equal than actual

 * `param`        $expected
 * `param`        $actual
 * `param string` $message


### assertGreaterThen
 
@deprecated


### assertGreaterThenOrEqual
 
@deprecated


### assertLessThan
 
Checks that expected is less than actual

 * `param`        $expected
 * `param`        $actual
 * `param string` $message


### assertLessThanOrEqual
 
Checks that expected is less or equal than actual

 * `param`        $expected
 * `param`        $actual
 * `param string` $message



### assertNotContains
 
Checks that haystack doesn't contain needle.

 * `param`        $needle
 * `param`        $haystack
 * `param string` $message


### assertNotEmpty
 
Checks that variable is not empty.

 * `param`        $actual
 * `param string` $message


### assertNotEquals
 
Checks that two variables are not equal

 * `param`        $expected
 * `param`        $actual
 * `param string` $message


### assertNotNull
 
Checks that variable is not NULL

 * `param`        $actual
 * `param string` $message


### assertNull
 
Checks that variable is NULL

 * `param`        $actual
 * `param string` $message




### assertTrue
 
Checks that condition is positive.

 * `param`        $condition
 * `param string` $message




### fail
 
Fails the test with message.

 * `param` $message






<p>&nbsp;</p><div class="alert alert-warning">Module reference is taken from the source code. <a href="https://github.com/Codeception/Codeception/tree/2.0/src/Codeception/Module/Asserts.php">Help us to improve documentation. Edit module reference</a></div>
